| homescr.h | Header File

Header File Index

Home Screen manipulation routines

Functions

HomeAlone
  Checks if the Home Screen is active in full-screen mode.
HomeExecute
  Sends a command to the Home Screen.
HomePushEStack
  Creates and draws a new history pair with given contents.
HomeStore
  Creates a new history pair with contents from the expression stack.
HomeStorePair
  Creates a new history pair with given contents.
HS_chopFIFO
  Deletes all history items which exceed the limit.
HS_countFIFO
  Returns the number of history pairs.
HS_deleteFIFONode
  Deletes a history entry/answer pair.
HS_freeAll
  Clears the Home Screen history.
HS_freeFIFONode
  Frees a FIFO node.
HS_getAns
  Returns the handle of a Home Screen answer.
HS_getEntry
  Returns the handle of a Home Screen entry.
HS_getFIFONode
  Returns the handle of a history pair.
HS_newFIFONode
  Allocates memory for a new FIFO node.
HS_popEStack
  Pops the entire expression stack into memory.
HS_pushEmptyFIFONode
  Inserts a new almost-empty FIFO node into the history.
HS_pushFIFONode
  Inserts a new filled FIFO node into the history.

Constants

H_NULL
  A null-handle value.

Predefined Types

Bool
  An enumeration to describe true or false values.
ESQ
  Represents a quantum within an expression.
FIFO_ELEMENT
  A structure describing a single entry or answer element in the history.
FIFO_NODE
  Describes an entry/answer pair in the history.
HANDLE
  Represents a handle associated with an allocated memory block.
MULTI_EXPR
  Describes a multi-expression, which is processed as a separate expression stack.

Note: In most cases, this header file is used to store expressions in the Home Screen history. For this purpose, use the HomeStore and HomeStorePair functions. They are much less complicated than the other functions manipulating the history.